<template>
  <div id="componentes">
    <h3>Listado de registros de zmorrott0</h3>
    <v-list>
      <v-list-tile v-for="session in session" :key="session.id">
        <li
          class="
            list-group-item
            d-flex
            justify-content-between
            align-items-start
          "
        >
          <div class="ms-2 me-auto">
            <div class="fw-bold">{{ session.date }}</div>
            {{ session.duration }}
          </div>
          <span class="badge bg-primary rounded-pill">{{ session.score }}</span>
        </li>
      </v-list-tile>
    </v-list>
  </div>
</template>

<script>
import axios from 'axios';
export default { 
  props: ["webk"],
  data() {
    return {
      session: [],
    };
  },
  created() {
    console.log(this.webk);
    axios
      .get("http://localhost:8080/api/sesiones/secret_token="+this.webk)
      .then((respuesta) => (this.session = respuesta.data));
  },
};
</script>

<style scoped>
.list-group-item {
  width: 100%;
  height: 100%;
  border-radius: 10px;
  display: flex;
  justify-content: space-between;

  font-size: 20px;
  padding: 20px;
}

.sesion {
}
</style>
